Subject: [Ltru] matching comments: use of prefixes

From: "Addison Phillips" <[email-masked]>
Date: Wed, 28 Sep 2005 10:17:34 -0700

All:

This email is the first of a series of my comments about the current matching draft. In keeping with Randy's previous requests, I'll be sending each in a separate email.

In this paragraph in Section 2.1:

--
In particular, the set of language tags that match a specific language-range might not all be mutually intelligible. Matching a language-range (prefix) to various language tags does not mean that it is always true that if a user understands a language identified by a certain tag, then this user will also understand all of the languages for which this tag is a prefix. The use of prefixes (and thus basic language ranges) simply allows the use of a prefix if this is the case.
--

...the final sentence seems particular lame. I think it would be better to say:

--
The use of prefixes (and thus basic language ranges) allows languages to be selected as if this were always the case. In most cases, the language range and the set of language tags associated with it are mutually intelligible enough to be useful and this form of matching has historically been to most prevalent.
--

Addison

Addison P. Phillips
Globalization Architect, Quest Software
http://www.quest.com

Chair, W3C Internationalization Core Working Group
http://www.w3.org/International

Internationalization is not a feature.
It is an architecture. 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Frank Ellermann <[email-masked]>
Date: Wed, 28 Sep 2005 21:51:52 +0200

Addison Phillips wrote:

>| The use of prefixes (and thus basic language ranges) simply
>| allows the use of a prefix if this is the case.

> ...the final sentence seems particular lame.

It's gibberish. ;-)  I saw it when I downloaded -05, but then
I was distracted by other things and forgot to ask WTH it is
supposed to mean.  It sounds like "a prefix is a prefix" ?!?

New wording: yes, better, I'm not sure that it's related to the
old paragraph, but it's clear:  "prefix-matching often worked
with 3066 tags, but it might be not good enough for 3066bis" -
if I got your drift.
                             Bye, Frank

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 29 Sep 2005 09:02:09 +0200

--On onsdag, september 28, 2005 10:17:34 -0700 Addison Phillips 
<[email-masked]> wrote:

> The use of prefixes (and thus basic language ranges) simply allows the
> use of a prefix if this is the case. --
>

I think this sentence (without the parenthesized remark) dates right back 
to RFC 1766, and I still remember the debate that got us there.

What it's trying to prevent is dialogues like this:

Registrant: I register (or use) sgn-GB and sgn-FR
Searcher: I want something in "sgn".
System: OK, here is one in "sgn-FR". Enjoy!
Searcher: I got back "sgn-FR", and don't understand it. The system is
          broken!
Registrant: Which part of 'might not all be mutually intelligible' did
          you fail to understand?
Searcher: But I search for "en" every day and get back "en-US"....
Registrant: I repeat....

There will always be some ranges that it doesn't make sense to search over. 
And the standard is not going into the business of saying which those are.
When Addison suggests:

> The use of prefixes (and thus basic language ranges) allows languages to
> be selected as if this were always the case. In most cases, the language
> range and the set of language tags associated with it are mutually
> intelligible enough to be useful and this form of matching has
> historically been to most prevalent.

I think that's going a little far in the direction of "this works most of 
the time, you can safely act as if it works all the time".
But it's a minor distinction.

---

From: Frank Ellermann <[email-masked]>
Date: Thu, 29 Sep 2005 16:57:38 +0200

Harald Tveit Alvestrand wrote:

> RFC 1766, and I still remember the debate that got us there.
 
> Searcher: I want something in "sgn".

Now that's immediately clear.  Maybe adding this as example
to Addison's new wording could help.  It would explain that 
matching was already tricky before 3066bis, so that's not a
new "bug" introduced by 3066bis, but just as it is.

                        Bye, Frank